# Interface ICefButtonDelegate

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFInterfaces

## Declaration

`type ICefButtonDelegate = interface(ICefViewDelegate)`

## Description

Implement this interface to handle Button events. The functions of this interface will be called on the browser process UI thread unless otherwise indicated.

UNKNOWN

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/views/cef_button_delegate_capi.h">CEF source file: /include/capi/views/cef_button_delegate_capi.h (cef_button_delegate_t))

## Hierarchy

- IInterface
- ICefBaseRefCounted
- ICefViewDelegate
- ICefButtonDelegate

## Overview

### Methods

| `procedure OnButtonPressed(const button: ICefButton);`
| `procedure OnButtonStateChanged(const button: ICefButton);`

## Description

### Methods

| `procedure OnButtonPressed(const button: ICefButton);`
Called when |button| is pressed. ###### Attributes GUID['{EA1EB5A4-DFB0-4A13-A23B-54FAF9401B39}']

| `procedure OnButtonStateChanged(const button: ICefButton);`
Called when the state of |button| changes.

Generated by PasDoc 0.16.0-snapshot.